---
categories: web
title: Howto Aegir
...

* Documentation : <https://docs.aegirproject.org/>

[Aegir](https://www.aegirproject.org/) est un système de gestion et de déploiement de sites web Drupal.
On peut déployer des sites en Drupal 8 ou 9 a priori.

Code source : <https://github.com/aegir-project>

Aegir est composé des éléménts suivants :

* hostmaster : interface web en Drupal 7 : <https://www.drupal.org/project/hostmaster>
* provision : suite de commandes `drush` pour installer des sites Drupal : <https://www.drupal.org/project/Provision>
* hosting : Drupal modules pour permettre l'UI de l'interface web d'Aegir : <https://www.drupal.org/project/hosting>
* eldir : thème Drupal pour Aegir : <https://www.drupal.org/project/eldir>

## Installation

Pré-requis : Debian 10 avec PHP 7.3 (par défaut sous Debian 10)

Préparer un service MySQL local avec un login / mot de passe "admin" afin de permettre au paquet Debian "aegir3" de créer une base et un utilisateur.

~~~
# echo "deb https://debian.aegirproject.org stable main" > /etc/apt/sources.list.d/aegir.list
# wget http://debian.aegirproject.org/key.asc -O /etc/apt/trusted.gpg.d/aegir.asc

# apt update && apt install aegir3 composer
~~~

## Multi-serveurs

<https://docs.aegirproject.org/usage/servers/clustering/>

Activer le module "Web Cluster" :

~~~
Enabling Web clusters feature.
The configuration options have been saved.
~~~

Sur les « noeuds » web :

* créer un utilisateur "aegir" ainsi : `adduser --home /var/aegir --uid 113 --gid 120 --disabled-password aegir` (même UID/GID que sur le serveur Aegir)
* valider la connexion SSH entre l'utilisateur "aegir" depuis le serveur Aegir vers l'utilisateur "aegir" du noeud (avec une clé SSH sans mot de passe)
* Installer Apache / PHP
* a priori partager en NFS `/var/aegir/plateforms` du serveur Aegir vers le noeud

On peut ensuite ajouter des "serveurs" pour chacun des noeuds, puis ajouter un serveur "Web cluster" qui rassemble les noeuds.
Il faut ensuite ajouter une plateforme associée à ce noeud. Puis l'on devrait pouvoir créer des sites sur cette plateforme « clusterisée ».


